Plan Tasks & Messaging
Get plan tasks by lead ID
Retrieves AI tasks associated with a lead. Tasks are returned in V2 format with human-friendly status and type names.
GET
/
v2.0
/
plan-tasks
/
lead
/
{leadId}
Get plan tasks by lead ID
curl --request GET \
--url https://api.lofty.com/v2.0/plan-tasks/lead/{leadId} \
--header 'Authorization: <authorization>'import requests
url = "https://api.lofty.com/v2.0/plan-tasks/lead/{leadId}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.lofty.com/v2.0/plan-tasks/lead/{leadId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lofty.com/v2.0/plan-tasks/lead/{leadId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lofty.com/v2.0/plan-tasks/lead/{leadId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lofty.com/v2.0/plan-tasks/lead/{leadId}")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lofty.com/v2.0/plan-tasks/lead/{leadId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body[
{
"id": 123456,
"content": "Follow up with client",
"taskType": "CALL",
"status": "PENDING",
"dueAt": "2026-03-01T15:30:00Z",
"createdAt": "2026-02-28T10:00:00Z",
"assignedTo": 67890,
"creatorId": 12345
}
]"<string>""<string>""<string>""<string>"Headers
Bearer [access_token]
Path Parameters
Lead ID
Response
Plan tasks retrieved successfully
Task ID
Example:
123456
Task content/description
Example:
"Follow up with client"
Task type: CALL, EMAIL, TEXT, etc.
Example:
"CALL"
Task status: PENDING, FINISHED, OVERDUE
Example:
"PENDING"
Due date in ISO8601 format
Example:
"2026-03-01T15:30:00Z"
Created time in ISO8601 format
Example:
"2026-02-28T10:00:00Z"
Assigned to user ID
Example:
67890
Creator user ID
Example:
12345
⌘I
Get plan tasks by lead ID
curl --request GET \
--url https://api.lofty.com/v2.0/plan-tasks/lead/{leadId} \
--header 'Authorization: <authorization>'import requests
url = "https://api.lofty.com/v2.0/plan-tasks/lead/{leadId}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.lofty.com/v2.0/plan-tasks/lead/{leadId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lofty.com/v2.0/plan-tasks/lead/{leadId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lofty.com/v2.0/plan-tasks/lead/{leadId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lofty.com/v2.0/plan-tasks/lead/{leadId}")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lofty.com/v2.0/plan-tasks/lead/{leadId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body[
{
"id": 123456,
"content": "Follow up with client",
"taskType": "CALL",
"status": "PENDING",
"dueAt": "2026-03-01T15:30:00Z",
"createdAt": "2026-02-28T10:00:00Z",
"assignedTo": 67890,
"creatorId": 12345
}
]"<string>""<string>""<string>""<string>"